html {
    -webkit-font-smoothing: antialiased !important;
}

.login-panel{
    -webkit-box-shadow: .3em .3em 1em rgba(0, 0, 0, 0.46);
    box-shadow: 0.3em 0.3em 1em rgb(0 0 0 / 46%);
    max-width:540px;
}

/* Logo section of the login */
.panel-body.branded{
    background-color: #FFF;
    text-align: center;
    border-top-left-radius:0px;
    border-top-right-radius:0px;
    padding: 30px;
}

/* panel-footer is used as a visual seperator from the logo */
.panel-footer {
    background-color: #F7F7F7;
    border-top: 0px solid #3b3235;
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
    padding: 10px;
    border-top:solid 1px #ddd;

}

a{
    color:unset;
    text-decoration: none;
}

a:hover{
    color:unset;
    text-decoration: none;
}



body {
    width: 100%;
    height: 100%;
    background: #202020;
    background: url('../images/bodybg.jpg') no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    margin: 0px;
    font-family: sans-serif;
    background-size: cover;
}

.panel {
    border-radius:10px;
    border:0px;
    margin-left: auto;
    margin-right: auto;
    min-width:380px;
}

.btn{
    border-radius: 0px;;
}

.btn-dark {
    color: #fff;
    background-color: #3a3a3a;
    border-color: #343a40;
}

.btn-dark:hover {
    color: #fff;
    background-color: red;
    border-color: red;
}

.form-control{

    border-radius: 0px;

}

.no-padding {
    padding:0px;
}

.extra-padding {
    padding: 10px 15px;
}

.login-logo{
    text-align: left;
    padding-top: 1.5em;
    margin-bottom: 0em;
    /*height:270px;*/
    width: 320px;
    /* background: transparent url('../images/backdrop.jpg') no-repeat bottom left; */
}

.login-logo h1{
    margin:0px 0px 20px 0px;
}

.login-box{
    margin-top:6em;

}


.version {
    color: #aaaaaa;
    font-size: small;
    text-align: center;
    padding-bottom: 9.5em;
    margin-top: -.5em;

}

.link-bar{

    text-align: center;
    padding: 0px 15px;

}

.link-bar-button{
    display: inline-block;
    background-color: #3a3a3a;
    color: white;
    box-shadow: 0px 0px 3px gray;
    padding: 6px;
    margin: 3px;
    font-size: smaller;
    transition: all 0.4s;
}
.link-bar-button > span{
    font-size: large;
    padding-bottom: 6px;
    padding-top: 3px;
display: block;
}

.link-bar-button:hover{

    cursor: pointer;
    background-color: red;
    color: white;
    box-shadow: 0px 0px 3px dimgray;

}


.footer-bar{

    display: block;
    background-color: #ffffff10;
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    left: 0;
    

}

.footbar-button{
    background-color: white;
    color: dimgray;
    display: inline-block;
    padding: 6px 12px; 
    margin: 0px 2px;
    border-radius: 0px;
    transition: all 0.4s;
    box-shadow: 0px 0px 4px #000000bf;
}

.footbar-button:hover{
    cursor: pointer;
    background-color: red;
    color: white;
}

.foot-icon{
    padding-right: 5px;
    display: inline-block;
}

.btn-large {
    font-size:1.4em;
    padding: .5em 2em;
}

.btn-branded {
    /* Placeholder, used to override btn-primary for custom login buttons.  This is blank by default */
}

.btn-branded:hover {
    /* Placeholder, used to override btn-primary hover states on custom login buttons.  This is blank by default */
}

.message-box {
    text-align:center;
}


.expiration{
    display: inline-block;
    font-weight: 200;
    
}

.alert {
    padding: 0em 1.2em;
    margin-bottom:0px;
    border-radius:0px;
    text-align: center;
    font-size: 1.1em;
}

.alert-success, .alert-danger {
    background-color: transparent;
    border-color: transparent;
}
.alert-danger {
    color: #ff0000;
}

.form-horizontal .control-label {
    font-weight: normal;
}

form {
    margin-bottom: 0px;
}

.form-control{
    font-size:1.2em;
    height:2.5em;
    border-color:#d8d8d8;
    width:100%;
}

/* OVERRIDE FOR BROWSER AUTOFILL  */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus
input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    border: 1px solid #9b9989;
    -webkit-text-fill-color: #000;
    -webkit-box-shadow: 3 3 3px 1000px #fff inset;
    transition: background-color 5000s ease-in-out 0s;
    background-color:#fff;
}


.control-group {
    margin-bottom: .5em;
}

.control-label {
    color:#311919;
    font-weight:400;
}

/* -------------------------------------------------------------- */
/* Generic Catch all for Phones */
/* iPhone 6+ */
/* iPhone 6 */
/* iPhnoe 4s */
/* iPhone 5s */
/* -------------------------------------------------------------- */


.fade-in {
    animation: fadeIn ease 1s;
    -webkit-animation: fadeIn ease 1s;
    -moz-animation: fadeIn ease 1s;
    -o-animation: fadeIn ease 1s;
    -ms-animation: fadeIn ease 1s;
    }
    @keyframes fadeIn {
    0% {opacity:0;}
    100% {opacity:1;}
    }
    
    @-moz-keyframes fadeIn {
    0% {opacity:0;}
    100% {opacity:1;}
    }
    
    @-webkit-keyframes fadeIn {
    0% {opacity:0;}
    100% {opacity:1;}
    }
    
    @-o-keyframes fadeIn {
    0% {opacity:0;}
    100% {opacity:1;}
    }
    
    @-ms-keyframes fadeIn {
    0% {opacity:0;}
    100% {opacity:1;}
    }
